
Foreman - Bug #3008

Partition table is truncated

09/02/2013 09:06 AM - Grégoire Morpain

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Database   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2113

  

Description

I'm currently building a relatively long disklayout and I found out that when I paste (or import template from Community Templates

plugin), the disklayout is truncated.

When I go see my new host provision file, it is truncated in the middle of disklayout file and the end of the provision file is not there,

the file just stops in the middle of disklayout.

The workaround I found is to put the disklayout directly in the Edit host field.

I'm using foreman 1.2.1 on Debian 7.

Thank you for your support; let me know if you need anything more.

Related issues:

Has duplicate Foreman - Feature #12119: Partition table has limit 4096 Duplicate 10/09/2015

Associated revisions

Revision 30f19e0c - 02/08/2015 02:07 PM - Tom Caspy

fixes #3008 - allowing large ptables

History

#1 - 09/02/2013 09:09 AM - Dominic Cleal

- Priority changed from High to Normal

#2 - 02/26/2014 12:57 PM - Grégoire Morpain

I am still getting this error on Foreman 1.4

#3 - 02/26/2014 07:44 PM - Greg Sutcliffe

Perhaps you could use snippets to get around the character limit?

#4 - 06/10/2014 12:09 PM - Frédéric SENE

i've change the size of the "layout" column in pgsql, so now, it work with long ptables.

not sure if it's the best way, but now it's working...

#5 - 06/16/2014 02:57 PM - Wout van Heeswijk

I had the same issue with an mysql backend.

The mysql column is defined as varchar(2048). My partition layout was being truncated without warning.

I edited my layout so it used up less space and fixed it like that.

The field in foreman should at least check for the same amount of max characters and throw an error if it has to many character.

#6 - 01/27/2015 04:02 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2113 added

#7 - 01/27/2015 04:02 AM - Tom Caspy

- Assignee changed from Sam Kottler to Tom Caspy

#8 - 02/08/2015 03:01 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 30f19e0c3f072da4429cc926c272b8fbbd2d12d1.

#9 - 02/09/2015 03:33 AM - Dominic Cleal

- Category set to Database

- translation missing: en.field_release set to 28

#10 - 10/09/2015 04:29 AM - Dominic Cleal

- Has duplicate Feature #12119: Partition table has limit 4096 added
